## pd-zexy 2.2.3

=== src/Makefile ===
default: all

.PHONEY: default all everything dist \
	clean realclean distclean \
	install install-bin install-doc install-abs \
	tests


TESTDIR=../tests

HELPERSOURCES=z_zexy.c zexy.c winNT_portio.c

OBJECTSOURCES=$(sort $(filter-out $(HELPERSOURCES), $(filter %.c, $(wildcard *.c))))

SOURCES=$(OBJECTSOURCES) $(HELPERSOURCES)

zexyconf.h: zexyconf.h.in configure
	./configure $(CONFIGUREFLAGS)

configure: configure.ac aclocal.m4
	autoconf

aclocal.m4: acinclude.m4
	aclocal

-include $(SOURCES:.c=.d)

Make.config: Make.config.in configure
	./configure $(CONFIGUREFLAGS)

z_zexy.c z_zexy.h:
	./makesource.sh

-include Make.config

##  2nd only generate depend-files when we have Make.config included
##  and thus MAKEDEP_FLAGS defined
ifdef MAKEDEP_FLAGS
## dependencies: as proposed by the GNU-make documentation
## see http://www.gnu.org/software/make/manual/html_node/make_47.html#SEC51
%.d: %.c
	@set -e; rm -f $@; \
	 $(CPP) $(MAKEDEP_FLAGS) $(Z_CPPFLAGS) $< > $@.$$$$; \
	 sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
	 rm -f $@.$$$$
endif

.SUFFIXES: .$(EXT)

TARGETS = $(SOURCES:.c=.o)

OBJECTS = $(OBJECTSOURCES:.c=.$(EXT))

## if $(BUILDLIBRARY) is defined, we build everything as a single library
## else we build separate externals
ifneq "$(BUILDLIBRARY)" ""
all: $(LIBNAME)
	cp $(LIBNAME).$(EXT) ..
else
all: $(OBJECTS)
endif

$(OBJECTS): %.$(EXT) : %.o
	$(LD) $(LFLAGS) $(ARCH_FLAG) -o $@ $*.o $(LIBS)
	$(STRIP) $(STRIPFLAGS) $@

$(LIBNAME): $(TARGETS) z_zexy.c z_zexy.h
	$(LD) $(LFLAGS) $(ARCH_FLAG) -o $@.$(EXT) *.o $(LIBS)
	$(STRIP) $(STRIPFLAGS) $@.$(EXT)

$(TARGETS): %.o : %.c
	$(CC) $(Z_CFLAGS) $(ARCH_FLAG) -c -o $@ $*.c

externals: $(OBJECTS)

clean:
	-rm -f *.$(EXT) *.o 

realclean: clean alias-clean
	-rm -f *~ _* config.*
	-rm -f *.d *.d.*

distclean: realclean
	-rm -f Make.config zexyconf.h ../*.$(EXT)
	-rm -f zexy.exp  zexy.lib  zexy.ncb  \
		zexy.opt  zexy.plg
	-rm -rf autom4te.cache/

tests:  all
	make -C $(TESTDIR)

alias: alias-bin alias-abs

alias-bin: all
	./makealias.sh ../src/alias ../src ../reference

alias-abs:
	./makealias.sh ../abs/alias ../abs

alias-clean:  alias-clean-bin alias-clean-abs

alias-clean-bin:
	./makealias.sh -clean ../src/alias ../src ../reference

alias-clean-abs:
	./makealias.sh -clean ../abs/alias ../abs

install: all alias install-abs install-bin install-doc

install-bin:
	-install -d $(INSTALL_BIN)
	-install -m 644 $(LIBNAME).$(EXT) $(INSTALL_BIN)

install-doc:
	-install -d $(INSTALL_DOC)
	-install -m 644 ../reference/*.pd $(INSTALL_DOC)

install-abs:
	-install -d $(INSTALL_BIN)
	-install -m 644 ../abs/*.pd $(INSTALL_BIN)


uninstall-bin:
	-install -d $(INSTALL_BIN)
	-install -m 644 $(LIBNAME).$(EXT) $(INSTALL_BIN)

uninstall-doc:
	-install -d $(INSTALL_DOC)
	-install -m 644 ../reference/*.pd $(INSTALL_DOC)

uninstall-abs:
	-install -d $(INSTALL_BIN)
	-install -m 644 ../abs/*.pd $(INSTALL_BIN)


dist: all realclean
	(cd ../..;tar czvf $(TARNAME) $(LIBNAME))

everything: clean all install distclean

=== build/autoconf/Makefile ===
default: all

.PHONEY: default all everything dist \
	clean realclean distclean \
	install install-bin install-doc install-abs \
	tests

LIBDIR=../..

TESTDIR=$(LIBDIR)/tests
SOURCEDIR=$(LIBDIR)/src

HELPERSOURCES=$(SOURCEDIR)/z_zexy.c $(SOURCEDIR)/zexy.c $(SOURCEDIR)/winNT_portio.c

OBJECTSOURCES=$(sort $(filter-out $(HELPERSOURCES), $(filter %.c, $(wildcard $(SOURCEDIR)/*.c))))

SOURCES=$(OBJECTSOURCES) $(HELPERSOURCES)


VPATH = $(SOURCEDIR)

-include $(SOURCES:.c=.d)

-include Make.config

##  2nd only generate depend-files when we have Make.config included
##  and thus MAKEDEP_FLAGS defined
ifdef MAKEDEP_FLAGS
## dependencies: as proposed by the GNU-make documentation
## see http://www.gnu.org/software/make/manual/html_node/make_47.html#SEC51
%.d: %.c
	@set -e; rm -f $@; \
	 $(CPP) $(MAKEDEP_FLAGS) $(Z_CFLAGS) $< > $@.$$$$; \
	 sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
	 rm -f $@.$$$$
endif

.SUFFIXES: .$(EXT)

TARGETS = $(SOURCES:.c=.o)

OBJECTS = $(OBJECTSOURCES:.c=.$(EXT))

## if $(BUILDLIBRARY) is defined, we build everything as a single library
## else we build separate externals
ifneq "$(BUILDLIBRARY)" ""
all: $(LIBNAME)
	cp $(LIBNAME).$(EXT) $(LIBDIR)
else
all: $(OBJECTS)
endif

$(OBJECTS): %.$(EXT) : %.o
	$(CC) $(LDFLAGS) -o $@ $*.o $(LIBS)
	$(STRIP) $(STRIPFLAGS) $@

$(LIBNAME): $(TARGETS) z_zexy.c z_zexy.h
	$(CC) $(LDFLAGS) -o $@.$(EXT) $(SOURCEDIR)/*.o $(LIBS)
	$(STRIP) $(STRIPFLAGS) $@.$(EXT)

$(TARGETS): %.o : %.c
	$(CC) $(Z_CFLAGS) -c -o $@ $*.c

externals: $(OBJECTS)

clean:
	-rm -f $(SOURCEDIR)/*.$(EXT) $(SOURCEDIR)/*.o 

realclean: clean alias-clean
	-rm -f *~ config.*
	-rm -f $(SOURCEDIR)/*.d $(SOURCEDIR)/*.d.* $(SOURCEDIR)/*~

distclean: realclean
	-rm -f Make.config $(SOURCEDIR)/zexyconf.h $(LIBDIR)/*.$(EXT)
	-rm -rf autom4te.cache aclocal.m4

tests:  all
	make -C $(TESTDIR)

alias: alias-bin alias-abs

alias-bin: all
	$(SOURCEDIR)/makealias.sh $(SOURCEDIR)/alias $(SOURCEDIR) $(LIBDIR)/reference

alias-abs:
	$(SOURCEDIR)/makealias.sh $(SOURCEDIR)/alias $(LIBDIR)/abs

alias-clean:  alias-clean-bin alias-clean-abs

alias-clean-bin:
	$(SOURCEDIR)/makealias.sh -clean $(SOURCEDIR)/alias $(SOURCEDIR) $(LIBDIR)/reference

alias-clean-abs:
	$(SOURCEDIR)/makealias.sh -clean $(SOURCEDIR)/alias $(LIBDIR)/abs

install: all alias install-abs install-bin install-doc

install-bin:
	-install -d $(INSTALL_BIN)
	-install -m 644 $(LIBDIR)$(LIBNAME).$(EXT) $(INSTALL_BIN)

install-doc:
	-install -d $(INSTALL_DOC)
	-install -m 644 $(LIBDIR)/reference/*.pd $(INSTALL_DOC)

install-abs:
	-install -d $(INSTALL_BIN)
	-install -m 644 $(LIBDIR)/abs/*.pd $(INSTALL_BIN)


uninstall-bin:
	-install -d $(INSTALL_BIN)
	-install -m 644 $(LIBNAME).$(EXT) $(INSTALL_BIN)

uninstall-doc:
	-install -d $(INSTALL_DOC)
	-install -m 644 $(LIBDIR)/reference/*.pd $(INSTALL_DOC)

uninstall-abs:
	-install -d $(INSTALL_BIN)
	-install -m 644 $(LIBDIR)/abs/*.pd $(INSTALL_BIN)


dist: all realclean
	(cd $(LIBDIR)/..;tar czvf $(TARNAME) $(LIBNAME))

everything: clean all install distclean

=== debian/changelog ===
pd-zexy (2.2.3-2) unstable; urgency=low

  [ Felipe Sateler ]
  * Team upload.

  [ IOhannes m zmölnig ]
  * Force extension "pd_linux" (even on hurd and kfreebsd).
  * Remove flags for compiling with sse-support.
  * Set DEB_AUTO_UPDATE_AUTOCONF to ensure configure is regenerated.
  * Update build-dependencies.

  [ Jonas Smedegaard ]
  * Add git-buildpackage configfile, enabling signed tags and
    pristine-tar.
  * Add DEP3 header to patch.
  * Refresh patch w/ shortening options --no-timestamps --no-index -pab.
  * Preserve upstream configure file regenerated during build.
  * Adjust vertical spacing and wrapping of long description.

 -- Felipe Sateler <fsateler@debian.org>  Mon, 08 Nov 2010 20:58:14 -0300

pd-zexy (2.2.3-1) unstable; urgency=low

  * New upstream version

  [ IOhannes m zmölnig ]
  * Adopt package, on behalf of Multimedia Team.
    Closes: #546964
  * Simply debian/rules with CDBS, and don't unconditionally strip
    binaries.
    Closes: #437763
  * Install into /usr/lib/pd/extra/zexy/. Document usage in REAME.Debian
    and warn about change in NEWS.
  * git'ify package. Add Vcs-* stanzas to control file.
  * Use dpkg source format 3.0 (quilt). Drop build-dependency on quilt.

  [ Jonas Smedegaard ]
  * Enable CDBS copyright-check routine.
  * Add copyright and licensing header to debian/rules.
  * Add myself as uploader.
  * Rewrite debian/copyright using rev. 135 of draft DEP5 format.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Aug 2010 12:17:41 +0200

pd-zexy (2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: add simple-patchsys support
  * debian/patches/bashisms.patch: fix bashisms (Closes: #378526)

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 15 Jan 2008 16:01:02 +0100

pd-zexy (2.1-1) unstable; urgency=low

  * Initial release

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 16 Aug 2005 14:56:33 +0200

=== debian/control ===
Source: pd-zexy
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.53),
 debhelper (>= 7.0.1),
 autoconf,
 puredata
Standards-Version: 3.9.1
Homepage: http://puredata.info/community/projects/software/zexy
Vcs-Git: git://git.debian.org/pkg-multimedia/pd-zexy.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/pd-zexy.git;a=summary

Package: pd-zexy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, puredata
Description: General Purpose addon library for Pd
 zexy is "the swiss army knife for Pure Data".
 .
 It provides several addon objects for the Pd computer music system,
 including (but not limited to) objects for message handling
 (construction, parsing, control flow), signal handling (synthesis,
 analysis, comparision) et al.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2002 Guenter Geiger <geiger@debian.org>
# Copyright © 2010 IOhannes m zmölnig <zmoelnig@iem.at>
# Copyright © 2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for zexy
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Relax inclusion of optional features to ease backporting
-include /usr/share/cdbs/1/rules/utils.mk

CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
CDBS_BUILD_DEPENDS_rules_utils_buildinfo =

# upstream's way to prevent stripping: override the STRIP command with something
# harmless, like /usr/bin/true
STRIP=/bin/true
export STRIP

# where sources are
DEB_SRCDIR = src

# regenerate configure, so that patches to configure.ac take effect 
DEB_AUTO_UPDATE_AUTOCONF = 2.61

DEB_CONFIGURE_EXTRA_FLAGS += --with-extension=pd_linux

# revert regenerated configure until upstream add AM_MAINTAINER_MODE
DEB_PHONY_RULES += pristine-revert
clean:: pristine-revert
pristine-revert: makefile-clean
	cp -f debian/pristine/configure src/

## pd-zexy 2.2.5

=== debian/changelog ===
pd-zexy (2.2.5-2) unstable; urgency=medium

  * Use autoreconf to fix FTBFS on ppc64el (Closes: #735985)
    Thanks to Logan Rosen
  * Fixed my Uploaders name after gpg-key transition
  * Updated upstream's homepage
  * debian/copyright format 1.0
  * Bumped standards version to 3.9.5

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Wed, 29 Jan 2014 15:24:49 +0100

pd-zexy (2.2.5-1) unstable; urgency=low

  * New upstream (Closes: #643454)

  [ IOhannes m zmoelnig (gpg-key at iem) ]
  * Bumped standards to 3.9.2
  * Build-Depend on puredata-dev rather than puredata, since only headers are
    needed
  * Build-Depend on puredata-core in order to run test-suite
  * Build-Depend on autotools-dev for up-to-date config.*
  * Added watch file.
  * Deleted "remove-sse.patch" as it is no longer needed with new upstream.
  * Removed hacks to revert original configure (no longer needed)
  * Use CDBS's "pd.mk"
  * Run test-suite during build
  * Prevent .la files from being installed
  * Depend on "puredata-core" with fallback to meta-package "pd"

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Tue, 08 Nov 2011 16:57:18 +0100

=== debian/control ===
Source: pd-zexy
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig <zmoelnig@iem.at>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.91~),
 autotools-dev,
 debhelper,
 dh-buildinfo,
 dh-autoreconf,
 puredata-dev | puredata (<< 0.43),
 puredata-core | puredata (<< 0.43)
Standards-Version: 3.9.5
Homepage: http://puredata.info/downloads/zexy
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-zexy
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-zexy.git

Package: pd-zexy
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata-core | pd
Description: General Purpose addon library for Pd
 zexy is "the swiss army knife for Pure Data".
 .
 It provides several addon objects for the Pd computer music system,
 including (but not limited to) objects for message handling
 (construction, parsing, control flow), signal handling (synthesis,
 analysis, comparision) et al.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2002 Guenter Geiger <geiger@debian.org>
# Copyright © 2010-2011 IOhannes m zmölnig <zmoelnig@iem.at>
# Copyright © 2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for zexy
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/pd.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_MAKE_CHECK_TARGET = check

CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
CDBS_BUILD_DEPENDS_rules_utils_buildinfo =

DEB_CONFIGURE_EXTRA_FLAGS += --with-extension=pd_linux

binary-predeb/pd-zexy::
	# remove libtools leftovers
	find "$(cdbs_curdestdir)" -name "*.la" -delete
	# we rather link to the debian provided GPL-2
	rm "$(cdbs_curdestdir)/usr/lib/pd/extra/zexy/LICENSE.txt"

=== debian/watch ===
# to be processed with uscan(1)
version=3
http://sf.net/pure-data/zexy-(.*)\.tar\.gz

## pd-zexy 2.2.6

=== debian/changelog ===
pd-zexy (2.2.6-2) unstable; urgency=medium

  * Backported upstream fix for reproducible builds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 24 Jan 2016 20:03:33 +0100

pd-zexy (2.2.6-1) unstable; urgency=medium

  * Imported Upstream version 2.2.6
    * Updated to new upstream location
  * Depend on 'puredata' rather than 'puredata-core'
  * Made build-date string reproducible
  * Canonical homepage for Pd-projects
  * Update Vcs-* stanzas
  * Fixed my uploader's name
  * Added debian/git-tuneclone.sh script (documented in README.source)
  * Updated debian/copyright
  * Regenerated debian/(control|copyright_hints)
  * Bumped Standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Jan 2016 22:54:10 +0100

=== debian/control ===
Source: pd-zexy
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.91~),
 autotools-dev,
 debhelper,
 dh-buildinfo,
 dh-autoreconf,
 puredata-dev | puredata (<< 0.43),
 puredata-core | puredata (<< 0.43)
Standards-Version: 3.9.6
Homepage: http://download.puredata.info/zexy
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-zexy.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-zexy.git

Package: pd-zexy
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd
Description: General Purpose addon library for Pd
 zexy is "the swiss army knife for Pure Data".
 .
 It provides several addon objects for the Pd computer music system,
 including (but not limited to) objects for message handling
 (construction, parsing, control flow), signal handling (synthesis,
 analysis, comparision) et al.

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,8 @@
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 CDBS_BUILD_DEPENDS_rules_utils_buildinfo =
 
-DEB_CONFIGURE_EXTRA_FLAGS += --with-extension=pd_linux
+BUILD_DATE:=$(shell date -u -d "$$(dpkg-parsechangelog -SDate)" +"%Y/%m/%d at %H:%M:%S UTC")
+DEB_CONFIGURE_EXTRA_FLAGS += --with-extension=pd_linux --with-build-date="on $(BUILD_DATE)"
 
 binary-predeb/pd-zexy::
 	# remove libtools leftovers

=== debian/watch ===
# to be processed with uscan(1)
version=3
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/zexy-$1\.tar\.gz/g \
  https://git.iem.at/pd/zexy/tags .*archive\.tar\.gz\?ref=v?(\d\S*)

## pd-zexy 2.2.7

=== debian/changelog ===
pd-zexy (2.2.7-2) unstable; urgency=medium

  * Enabled hardening
  * Switched URLs to https://
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Removed trailing whitespace in debian/*
  * Removed obsolete d/git-tuneclone.sh script
    * Dropped d/README.source as it doesn't contain any useful information
  * Updated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:44:42 +0100

pd-zexy (2.2.7-1) unstable; urgency=medium

  * New upstream version 2.2.7
    Closes: #887934
    * Dropped patches aplied upstream
  * Patch to fix spelling errors
  * Fixed spelling error in long description
  * Switched homepage to https://
  * Modernized Vcs-* stanzas
  * Updated d/watch
  * Switched build-system to dh-11
    * Refreshed B-Ds for build-system switch
    * Dropped d/control.in
  * Use SOURCE_DATE_EPOCH to calculate build-date
  * Use https:// for d/copyright format URL
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 21 Jan 2018 23:29:12 +0100

=== debian/control ===
Source: pd-zexy
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper (>=11~),
 puredata-dev | puredata (<< 0.43),
 puredata-core | puredata (<< 0.43),
Standards-Version: 4.1.3
Homepage: https://download.puredata.info/zexy
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-zexy

Package: pd-zexy
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Description: General Purpose addon library for Pd
 zexy is "the swiss army knife for Pure Data".
 .
 It provides several addon objects for the Pd computer music system,
 including (but not limited to) objects for message handling
 (construction, parsing, control flow), signal handling (synthesis,
 analysis, comparison) et al.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2018 IOhannes m zmölnig <zmoelnig@iem.at>
# Description: Main Debian packaging script for zexy
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)"  2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib/pd/extra/ \
		--with-extension=pd_linux \
		--with-build-date="on $(BUILD_DATE)" \
		$(empty)

override_dh_auto_install:
	dh_auto_install
	# we rather link to the debian provided GPL-2
	rm -f -- "$(CURDIR)"/debian/*/usr/lib/pd/extra/*/LICENSE.txt
	# remove libtools leftovers
	find "$(CURDIR)"/debian/*/usr/ -name "*.la" -delete || true
	find "$(CURDIR)"/debian/*/usr/lib/pd/extra -type f -exec chmod -x {} +

licensecheck:
	licensecheck --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# to be processed with uscan(1)
version=3
opts=filenamemangle=s/.*\/repository\/v?(\d\S*)\/archive\.tar\.gz/zexy-$1\.tar\.gz/g \
  https://git.iem.at/pd/zexy/tags .*/repository/v?(\d\S*)/archive\.tar\.gz

## pd-zexy 2.2.8

=== debian/changelog ===
pd-zexy (2.2.8-1) unstable; urgency=medium

  * New upstream version 2.2.8
    * Removed patches applied upstream.
  * Updated d/copyright(|_hints)
  * Don't require "root" for building the package
  * Fixed d/watch
  * Removed empty line at EOF of d/changelog
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 02 Oct 2018 23:01:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  debhelper (>=11~),
  puredata-dev | puredata (<< 0.43),
  puredata-core | puredata (<< 0.43),
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: https://download.puredata.info/zexy
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-zexy

=== debian/watch ===
# to be processed with uscan(1)
version=3
  https://git.iem.at/pd/zexy/tags .*/-/archive/v?@ANY_VERSION@/zexy-.*@ARCHIVE_EXT@

## pd-zexy 2.3.0

=== Makefile ===
# Makefile to build 'zexy' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = zexy


make-lib-executable=yes
with-regex=yes

# input source file (class name == source file basename)
class.sources = \
	src/0x260x260x7e.c \
	src/0x2e.c \
	src/0x3c0x7e.c \
	src/0x3d0x3d0x7e.c \
	src/0x3e0x7e.c \
	src/0x7c0x7c0x7e.c \
	src/a2l.c \
	src/abs~.c \
	src/absgn~.c \
	src/atof.c \
	src/atoi.c \
	src/avg~.c \
	src/blockmirror~.c \
	src/blockshuffle~.c \
	src/blockswap~.c \
	src/date.c \
	src/demultiplex~.c \
	src/demultiplex.c \
	src/dfreq~.c \
	src/dirac~.c \
	src/doublepole~.c \
	src/drip.c \
	src/envrms~.c \
	src/fifop.c \
	src/freadln.c \
	src/fwriteln.c \
	src/glue.c \
	src/index.c \
	src/length.c \
	src/lifop.c \
	src/limiter~.c \
	src/list2int.c \
	src/list2lists.c \
	src/list2symbol.c \
	src/lister.c \
	src/listfind.c \
	src/liststorage.c \
	src/longload.c \
	src/lpt.c \
	src/makesymbol.c \
	src/matchbox.c \
	src/mavg.c \
	src/minmax.c \
	src/msgfile.c \
	src/multiline~.c \
	src/multiplex~.c \
	src/multiplex.c \
	src/multireceive.c \
	src/niagara.c \
	src/noish~.c \
	src/noisi~.c \
	src/operating_system.c \
	src/pack~.c \
	src/pack.c \
	src/packel.c \
	src/pdf~.c \
	src/prime.c \
	src/quantize~.c \
	src/rawprint.c \
	src/regex.c \
	src/relay.c \
	src/repack.c \
	src/repeat.c \
	src/route~.c \
	src/sfplay.c \
	src/sfrecord.c \
	src/sgn~.c \
	src/sigzero~.c \
	src/sleepgrain.c \
	src/sort.c \
	src/step~.c \
	src/strcmp.c \
	src/sum.c \
	src/swap~.c \
	src/symbol2list.c \
	src/tabdump.c \
	src/tabminmax.c \
	src/tabread4~~.c \
	src/tabset.c \
	src/tavg~.c \
	src/time.c \
	src/unpack~.c \
	src/unpack.c \
	src/urn.c \
	src/wrap.c \
	src/z~.c \
	$(empty)

lib.setup.sources = \
	src/zexy.c \
	src/z_zexy.c \
	$(empty)

## TODO: install help-files for these aliases
l.class.sources = src/lister.c
demux~.class.sources = src/demultiplex~.c
demux.class.sources = src/demultiplex.c
mux~.class.sources = src/multiplex~.c
mux.class.sources = src/multiplex.c
l2s.class.sources = src/list2symbol.c
s2l.class.sources = src/symbol2list.c
l2i.class.sources = src/list2int.c
any2list.class.sources = src/a2l.c

# abs-aliases: any2list, l2i

# all extra files to be included in binary distribution of the library
datafiles = \
	AUTHORS \
	README.txt \
	LICENSE.txt \
	ChangeLog \
	zexy-meta.pd

datafiles += \
	$(wildcard abs/*.pd) \
	$(wildcard reference/*.pd) \
	$(empty)

cflags = -DVERSION='"$(lib.version)"'

DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
endif
ifdef BUILD_DATE
cflags += -DBUILD_DATE='"$(BUILD_DATE)"'
endif


ifeq ($(make-lib-executable),yes)
 CPPFLAGS+=-DZEXY_LIBRARY
endif

ifeq ($(with-regex),yes)
 CPPFLAGS+=-DHAVE_REGEX_H
endif

define forWindows
 ifeq ($(with-regex),yes)
   regex.class.ldlibs += -lregex
   matchbox.class.ldlibs += -lregex
   ifeq ($(make-lib-executable),yes)
     ldlibs += -lregex
   endif
 endif
endef


# include Makefile.pdlibbuilder from submodule directory 'pd-lib-builder'
PDLIBBUILDER_DIR=pd-lib-builder/
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

COPY=cp
# aliases
vpath %.pd abs reference
zexyaliases = \
	any2list.pd any2list-help.pd \
	demux-help.pd demux~-help.pd \
	mux-help.pd mux~-help.pd \
	l2i.pd l2i-help.pd \
	l2s-help.pd s2l-help.pd l-help.pd \
	$(empty)

# create aliases
$(zexyaliases):
	test -e $< && $(COPY) $< $@

# delete aliases
clean_zexyalias:
	-rm -f $(zexyaliases)

any2list.pd: a2l.pd
any2list-help.pd: a2l-help.pd
l2i.pd: list2int.pd
l2i-help.pd: list2int-help.pd
l2s-help.pd: list2symbol-help.pd
s2l-help.pd: symbol2list-help.pd
l-help.pd: lister-help.pd
mux-help.pd: multiplex-help.pd
mux~-help.pd: multiplex~-help.pd
demux-help.pd: demultiplex-help.pd
demux~-help.pd: demultiplex~-help.pd

all: $(zexyaliases)

.PHONY: check style

style:
	astyle --options=src/astyle.rc src/*.c src/*.h

check: all
	LIBDIR=$(CURDIR) find tests/*/ -type f -name "*.pd" -exec tests/testrunner.sh -v -Xls {} "+"

datafiles += $(zexyaliases)

=== debian/changelog ===
pd-zexy (2.3.0-3) unstable; urgency=medium

  * Move detection of [lpt] support into d/rules
    * Remove cruft from autodetect-lpt.patch
  * Backport patch to fix 'clean' target to remove leftovers

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Feb 2020 10:14:27 +0100

pd-zexy (2.3.0-2) unstable; urgency=medium

  * Backport patch to fix FTBFS of [lpt] on arm64,...
  * Add autopkgtest

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 23 Feb 2020 22:28:28 +0100

pd-zexy (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Adjust to new upstream build-system
    * B-D on pd-lib-builder
  * Drop obsolete d/source/local-options
  * Add salsa-ci configuration
  * Bump dh-compat to 12
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 20 Feb 2020 23:20:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 12),
+ pd-lib-builder,
  puredata-dev | puredata (<< 0.43),
  puredata-core | puredata (<< 0.43),
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://download.puredata.info/zexy
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git

## pd-zexy 2.3.1

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 make-lib-executable=yes
 with-regex=yes
+with-lpt=yes
 
 # input source file (class name == source file basename)
 class.sources = \
@@ -123,7 +124,8 @@
 	README.txt \
 	LICENSE.txt \
 	ChangeLog \
-	zexy-meta.pd
+	zexy-meta.pd \
+	$(empty)
 
 datafiles += \
 	$(wildcard abs/*.pd) \
@@ -142,11 +144,15 @@
 
 
 ifeq ($(make-lib-executable),yes)
- CPPFLAGS+=-DZEXY_LIBRARY
+ cflags += -DZEXY_LIBRARY
 endif
 
 ifeq ($(with-regex),yes)
- CPPFLAGS+=-DHAVE_REGEX_H
+ cflags += -DHAVE_REGEX_H
+endif
+
+ifneq ($(with-lpt),yes)
+ cflags += -DZ_WANT_LPT=0
 endif
 
 define forWindows
@@ -159,6 +165,16 @@
  endif
 endef
 
+define forLinux
+ # on linux we need <sys/io.h> for the [lpt] object, so check if it is there...
+ ifeq ($(with-lpt),yes)
+  ifeq ($(shell $(CPP) -x c -include "sys/io.h" /dev/null >/dev/null 2>&1 || echo no), no)
+    cflags += -DZ_WANT_LPT=0
+  endif
+ endif
+endef
+
+
 
 # include Makefile.pdlibbuilder from submodule directory 'pd-lib-builder'
 PDLIBBUILDER_DIR=pd-lib-builder/
@@ -174,15 +190,19 @@
 	l2i.pd l2i-help.pd \
 	l2s-help.pd s2l-help.pd l-help.pd \
 	$(empty)
+datafiles += $(zexyaliases)
 
 # create aliases
 $(zexyaliases):
 	test -e $< && $(COPY) $< $@
 
 # delete aliases
+.PHONY: clean_zexyalias
 clean_zexyalias:
 	-rm -f $(zexyaliases)
-
+clean: clean_zexyalias
+
+# alias dependencies
 any2list.pd: a2l.pd
 any2list-help.pd: a2l-help.pd
 l2i.pd: list2int.pd
@@ -204,5 +224,3 @@
 
 check: all
 	LIBDIR=$(CURDIR) find tests/*/ -type f -name "*.pd" -exec tests/testrunner.sh -v -Xls {} "+"
-
-datafiles += $(zexyaliases)

=== debian/changelog ===
pd-zexy (2.3.1-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 2.3.1
    * Drop patches applied upstream
  * Fixed wildcards in d/copyright
  * Fix to no-longer valid email addresses
  * Bump dh-compat to 13

  [ Debian Janitor ]
  * d/copyright: use spaces rather than tabs to start continuation
    lines.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Jun 2020 14:54:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  pd-lib-builder,
  puredata-dev | puredata (<< 0.43),
  puredata-core | puredata (<< 0.43),

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND  = -DHAVE_REGEX_H -DZEXY_LIBRARY

# on some platforms, there's no <sys/io.h>
# rather than manually maintaining a list of these, we just test it
# (upstream's Makefile does the same, but since we override the CPPFLAGS
# the upstream test is voided)
ifeq ($(shell $(CPP) -x c -include "sys/io.h" /dev/null >/dev/null 2>&1 || echo no), no)
 DEB_CPPFLAGS_MAINT_APPEND  += -DZ_WANT_LPT=0
endif



pkglibdir = /usr/lib/pd/extra

%:
	dh $@

override_dh_install:
	dh_install
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +
# remove license file so we can replace it with link to the Debian license file
	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

override_dh_auto_clean \
override_dh_auto_build \
override_dh_auto_test \
override_dh_auto_install:
	$(patsubst override_%,%,$@) -- \
		PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/ \
		prefix=/usr pkglibdir=$(pkglibdir) \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		$(empty)

licensecheck:
	licensecheck --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/tests/control ===
# run test-suite with installed packages
Test-Command: LIBDIR=/usr/lib/pd/extra/zexy find tests/*/ -type f -name "*.pd" -exec tests/testrunner.sh -v -Xls {} "+"
Restrictions: allow-stderr
Depends: @

## pd-zexy 2.4.1

=== debian/changelog ===
pd-zexy (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update d/copyright
    - Bump dates
    - Add missing files
    - Regenerate d/copyright
  * Use execute_after_dh_* rather than override_dh_*
  * Apply "warp-and-sort -ast"
  * Bump d/watch version to 4
  * Bump standards version to 4.6.0

  [ Jonas Smedegaard ]
  * Remove myself from Uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 02 Feb 2022 22:02:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
- Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  debhelper-compat (= 13),
  pd-lib-builder,
+ puredata-core | puredata (<< 0.43),
  puredata-dev | puredata (<< 0.43),
- puredata-core | puredata (<< 0.43),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://download.puredata.info/zexy
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git
@@ -19,9 +18,9 @@
 Package: pd-zexy
 Architecture: any
 Depends:
+ puredata | pd,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata | pd,
 Description: General Purpose addon library for Pd
  zexy is "the swiss army knife for Pure Data".
  .

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,7 @@
 %:
 	dh $@
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 # fix permissions
 	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
 		chmod 0664 {} +

=== debian/tests/control ===
Test-Command: LIBDIR=/usr/lib/pd/extra/zexy find tests/*/ -type f -name "*.pd" -exec tests/testrunner.sh -v -Xls {} "+"
Restrictions: allow-stderr
Depends:
 @,

## pd-zexy 2.4.2

=== debian/changelog ===
pd-zexy (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2
  * Update copyright information
    + Update dates in d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 16 Jul 2023 23:56:31 +0200

pd-zexy (2.4.1-5) unstable; urgency=medium

  * Re-build for both single and double-precision Pd
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 11:59:05 +0200

pd-zexy (2.4.1-4) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder'
  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:54:46 +0100

pd-zexy (2.4.1-3) unstable; urgency=medium

  * Use 'dh-sequence-pd-lib-builder' for building
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 12:29:47 +0100

pd-zexy (2.4.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright
    - use spaces rather than tabs to start continuation lines.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 21:16:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- pd-lib-builder,
+ dh-sequence-pd-lib-builder,
  puredata-core | puredata (<< 0.43),
- puredata-dev | puredata (<< 0.43),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://download.puredata.info/zexy
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git
@@ -18,9 +17,13 @@
 Package: pd-zexy
 Architecture: any
 Depends:
- puredata | pd,
  ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
+Recommends:
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
 Description: General Purpose addon library for Pd
  zexy is "the swiss army knife for Pure Data".
  .

## pd-zexy 2.4.3

=== Makefile ===
--- 
+++ 
@@ -132,7 +132,8 @@
 	$(wildcard reference/*.pd) \
 	$(empty)
 
-cflags = -DVERSION='"$(lib.version)"'
+cflags =
+cflags += -DVERSION='"2.4.2"'
 
 DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
 ifdef SOURCE_DATE_EPOCH

=== debian/changelog ===
pd-zexy (2.4.3-2) unstable; urgency=medium

  * Switch to dh-sequence-puredata
  * Add Provides:puredata
  * Update d/watch for latest GitLab API
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Jun 2024 20:45:42 +0200

pd-zexy (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 11 Dec 2023 18:15:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-sequence-pd-lib-builder,
+ dh-sequence-puredata,
  puredata-core | puredata (<< 0.43),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://download.puredata.info/zexy
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git
@@ -24,6 +24,8 @@
  ${puredata:Recommends},
 Suggests:
  ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: General Purpose addon library for Pd
  zexy is "the swiss army knife for Pure Data".
  .

=== debian/watch ===
# to be processed with uscan(1)

version=4
opts=\
 searchmode=plain,\
 uversionmangle=s/-/./g,\
 dversionmangle=auto \
 https://git.iem.at/pd/zexy/tags?sort=updated_desc -/archive/v?\d[\d.-]+/zexy-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## pd-zexy 2.4.4

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	src/0x3e0x7e.c \
 	src/0x7c0x7c0x7e.c \
 	src/a2l.c \
-	src/abs~.c \
 	src/absgn~.c \
 	src/atof.c \
 	src/atoi.c \
@@ -35,6 +34,7 @@
 	src/doublepole~.c \
 	src/drip.c \
 	src/envrms~.c \
+	src/envvar.c \
 	src/fifop.c \
 	src/freadln.c \
 	src/fwriteln.c \
@@ -133,7 +133,7 @@
 	$(empty)
 
 cflags =
-cflags += -DVERSION='"2.4.2"'
+cflags += -DVERSION='"2.4.4"'
 
 DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
 ifdef SOURCE_DATE_EPOCH

=== debian/changelog ===
pd-zexy (2.4.4-1) unstable; urgency=medium

  * New upstream version 2.4.4

  * Update git repository layout to follow DEP-14
  * Fix typos in old entries of d/changelog
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete 'Rules-Requires-Root: no' stanza.
  * Apply 'wrap-and-sort -ast'
  * Update d/watch to version 5
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 Feb 2026 10:08:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pd-zexy
 Section: sound
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
@@ -8,8 +7,7 @@
  debhelper-compat (= 13),
  dh-sequence-puredata,
  puredata-core | puredata (<< 0.43),
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://download.puredata.info/zexy
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-zexy

=== debian/tests/control ===
Test-Command: LIBDIR=/usr/lib/pd/extra/zexy find tests/*/ -type f -name "*.pd" -exec tests/testrunner.sh -v -Xls {} "+"
Restrictions:
 allow-stderr,
Depends:
 @,

=== debian/watch ===
Version: 5

# to be processed with uscan(1)
Template: Gitlab
Dist: https://git.iem.at/pd/zexy
